LibreOffice: DocumentDataSource Service Reference

LibreOffice LibreOffice 5.3 SDK API Reference

Included Services | Exported Interfaces | List of all members
DocumentDataSource Service Reference

simplifies the accessing of data sources and it's corresponding database document. More...

`import"DocumentDataSource.idl";`

Inheritance diagram for DocumentDataSource:

## Included Services
service | DataSource

## Exported Interfaces
interface | XDocumentDataSource
Exported Interfaces inherited from DataSource
interface | com::sun::star::beans::XPropertySet
interface | XCompletedConnection
| useful for establishing connections with the completion of connection parameters provided during user interaction. More...
interface | com::sun::star::sdbc::XIsolatedConnection
| useful for establishing isolated connections which are not shared among others as it is the case when using XCompletedConnection or com::sun::star::sdbc::XDataSource. More...
interface | com::sun::star::util::XFlushable
| is provided to flush a DataSource within to a Database Context. More...
interface | XQueryDefinitionsSupplier
| provides the access to DataSource related queries. More...
interface | com::sun::star::sdbc::XDataSource
interface | XBookmarksSupplier
| provides access to bookmarks to documents associated with the data source More...

## Additional Inherited Members
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XCompletedConnection
com::sun::star::sdbc::XConnection | connectWithCompletion ([in]com::sun::star::task::XInteractionHandler handler) raises (com::sun::star::sdbc::SQLException)
| attempts to establish a database connection. More...
Public Member Functions inherited from XIsolatedConnection
XConnection | getIsolatedConnectionWithCompletion ([in]com::sun::star::task::XInteractionHandler handler) raises (SQLException)
| attempts to establish a database connection. More...
XConnection | getIsolatedConnection ([in]string user, [in]string password) raises (SQLException)
| attempts to establish a database connection. More...
Public Member Functions inherited from XFlushable
void | flush ()
| flushes the data of the object to the connected data source. More...
void | addFlushListener ([in] com::sun::star::util::XFlushListener l)
| adds the specified listener to receive event "flushed." More...
void | removeFlushListener ([in] com::sun::star::util::XFlushListener l)
| removes the specified listener. More...
Public Member Functions inherited from XQueryDefinitionsSupplier
com::sun::star::container::XNameAccess | getQueryDefinitions ()
| returns the container of commands. More...
Public Member Functions inherited from XDataSource
XConnection | getConnection ([in]string user, [in]string password) raises (SQLException)
| attempts to establish a database connection. More...
void | setLoginTimeout ([in]long seconds) raises (SQLException)
| sets the maximum time in seconds that this data source will wait while attempting to connect to a database. More...
long | getLoginTimeout () raises (SQLException)
| gets the maximum time in seconds that this data source can wait while attempting to connect to a database. More...
Public Attributes inherited from DataSource
string | Name
| is the name of the data source. More...
string | URL
| indicates a database url of the form `jdbc:subprotocol:subname` or `sdbc:subprotocol:subname` More...
sequence< com::sun::star::beans::PropertyValue > | Info
| is a list of arbitrary string tag/value pairs as connection arguments More...
com::sun::star::beans::XPropertySet | Settings
| is a convenience wrapper around the Info property. More...
string | User
| determines a users login name. More...
string | Password
| determines a users password. More...
boolean | IsPasswordRequired
| indicates that a password is always necessary. More...
boolean | SuppressVersionColumns
| indicates that components displaying data obtained from this data source should suppress columns used for versioning. More...
boolean | IsReadOnly
| determines whether modifications on the data source are allowed or not. More...
com::sun::star::util::XNumberFormatsSupplier | NumberFormatsSupplier
| provides an object for formatting numbers. More...
sequence< string > | TableFilter
| defines a list of tables, on which the DataSource should have it's focus. More...
sequence< string > | TableTypeFilter
| defines a list of table types, on which the DataSource should have it's focus. More...
Public Attributes inherited from XDocumentDataSource
XOfficeDatabaseDocument | DatabaseDocument
| provides access to the one and only OfficeDatabaseDocument which the data source is based on. More...
Protected Member Functions inherited from XBookmarksSupplier
com::sun::star::container::XNameAccess | getBookmarks ()

## Detailed Description

simplifies the accessing of data sources and it's corresponding database document.

See also
  DataSource
  XDocumentDataSource

## Exported Interfaces

## ◆ DataSource

service DataSource

## Exported Interfaces

## ◆ XDocumentDataSource

interface XDocumentDataSource

The documentation for this service was generated from the following file:

- com/sun/star/sdb/DocumentDataSource.idl